Update product profile
Path parameters
idstringRequired
The unique identifier of the product-profile to update.
Body
iconstring · binaryOptional
Responses
200
OK
application/json
Represents a public catalog product profile entity exposed by the platform.
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
shortDescriptionstring · nullableOptional
Descriptive text that provides details about the vendor.
longDescriptionstring · nullableOptional
Descriptive text that provides details about the vendor.
featuredboolean · nullableOptional
Indicates whether the product profile is marked as featured.
websitestring · nullableOptional
The vendor's official website URL.
linkedInstring · nullableOptional
URL of the vendor's LinkedIn profile.
facebookstring · nullableOptional
URL of the vendor's Facebook page.
youTubestring · nullableOptional
URL of the vendor's YouTube channel.
xProfilestring · nullableOptional
URL of the vendor's X (formerly Twitter) profile.
statusstring · enumOptionalPossible values:
Current publication status of the product profile.
400
Bad Request
application/json
403
Forbidden
application/json
500
Internal Server Error
put/public/v1/public-catalog/product-profiles/{id}
PUT /public/v1/public-catalog/product-profiles/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 329
{
"productprofile": {
"name": "text",
"shortDescription": "text",
"longDescription": "text",
"featured": true,
"website": "text",
"linkedIn": "text",
"youTube": "text",
"xProfile": "text",
"categories": [
{
"id": "text"
}
],
"industries": [
{
"id": "text"
}
],
"segments": [
{
"id": "text"
}
],
"vendorProfile": {
"id": "text"
},
"products": [
{
"id": "text"
}
]
},
"icon": "binary"
}{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"published": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"unpublished": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"shortDescription": "text",
"longDescription": "text",
"featured": true,
"website": "text",
"linkedIn": "text",
"facebook": "text",
"youTube": "text",
"xProfile": "text",
"categories": [
{
"id": "text",
"name": "text",
"revision": 1,
"status": "Draft"
}
],
"industries": [
{
"id": "text",
"name": "text",
"revision": 1,
"status": "Draft"
}
],
"segments": [
{
"id": "text",
"name": "text",
"revision": 1,
"status": "Draft"
}
],
"vendorProfile": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"published": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"unpublished": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"description": "text",
"featured": true,
"website": "text",
"linkedIn": "text",
"facebook": "text",
"youTube": "text",
"xProfile": "text",
"categories": [
{
"id": "text",
"name": "text",
"revision": 1,
"status": "Draft"
}
],
"productProfiles": [
{
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"vendorProfile": "[Circular Reference]",
"status": "Draft"
}
],
"vendor": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active",
"externalIds": {
"pyraTenantId": "123e4567-e89b-12d3-a456-426614174000"
},
"externalId": "text",
"externalName": "text",
"address": {
"addressLine1": "text",
"addressLine2": "text",
"postCode": "text",
"city": "text",
"state": "text",
"country": "text"
},
"technicalSupportEmail": "text",
"website": "text",
"description": "text",
"groups": [
{
"id": "text",
"name": "text",
"revision": 1,
"description": "text",
"logo": "text",
"isDefault": true
}
],
"eligibility": {
"client": true,
"partner": true
},
"defaultLanguageCode": "text"
},
"status": "Draft"
},
"products": [
{
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"externalIds": {
"operations": "text",
"defaultErpItem": "text"
},
"status": "text"
}
],
"status": "Draft"
}Last updated
Was this helpful?